Loading...
Searching...
No Matches
libdar::bool_mask Class Reference
API

boolean mask, either always true or false More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions

| bool_mask (bool always)
| the constructor
| bool_mask (const bool_mask &ref)=default
| bool_mask (bool_mask &&ref) noexcept=default
bool_mask & | operator= (const bool_mask &ref)=default
bool_mask & | operator= (bool_mask &&ref) noexcept=default
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default

## Private Attributes

bool | val

## Detailed Description

boolean mask, either always true or false

it matches all files or no files at all

Definition at line 100 of file mask.hpp.

## Constructor & Destructor Documentation

## bool_mask()

libdar::bool_mask::bool_mask | ( | bool | always | ) |

inline

the constructor

Parameters

  [in] | always | is the value that this mask will always return when the is_covered method will be used

Note
  once initialized an object cannot change its behavior

Definition at line 108 of file mask.hpp.

Referenced by clone().

## Member Function Documentation

## clone()

mask * libdar::bool_mask::clone | ( |  | ) | const

inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 121 of file mask.hpp.

References bool_mask().

## dump()

std::string libdar::bool_mask::dump | ( | const std::string & | prefix | ) | const

inline override virtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

Definition at line 118 of file mask.hpp.

## is_covered() [1/2]

bool libdar::bool_mask::is_covered | ( | const path & | chemin | ) | const

inline override virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 117 of file mask.hpp.

## is_covered() [2/2]

bool libdar::bool_mask::is_covered | ( | const std::string & | expression | ) | const

inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 116 of file mask.hpp.

## Member Data Documentation

## val

bool libdar::bool_mask::val

private

Definition at line 124 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp